# Update BankTransfer record Update an existing BankTransfer record with the provided data. Validates all required fields and business rules. Endpoint: PUT /public/v1/bank-transfers/{record_number}/ Version: 1.0.0 ## Path parameters: - `record_number` (integer, required) ## Request fields (application/json): - `date` (string, required) - `transaction_date` (string,null) - `company_id` (integer, required) - `debit_bank_account_number` (integer, required) - `credit_bank_account_number` (integer, required) - `amount` (any, required) - `exchange_rate` (any) - `memo` (string) - `record_status` (string) Enum: "draft", "posted", "archived" ## Response 200 fields (application/json): - `created_by` (object,null) Schema for audit actor information. - `created_by.actor_type` (string,null) - `created_by.email` (string,null) - `created_by.first_name` (string,null) - `created_by.last_name` (string,null) - `created_by.timestamp` (string,null) - `updated_by` (object,null) Schema for audit actor information. - `internal_id` (integer, required) - `number` (integer, required) - `date` (string, required) Posting date (GL date) - the date when the transaction is recorded in the general ledger - `transaction_date` (string, required) Transaction date (inception date) - the date when the transaction actually occurred - `company_id` (integer, required) - `company_name` (string, required) - `company_currency` (string, required) - `debit_bank_account_number` (integer,null, required) - `credit_bank_account_number` (integer,null, required) - `amount` (string, required) Transfer amount - `exchange_rate` (string, required) - `memo` (string, required) - `record_status` (string, required) Enum: "draft", "posted", "archived" - `currency_iso_4217_code` (array) ## Response 400 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 404 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 422 fields (application/json): - `success` (boolean) - `errors` (object, required) ## Response 500 fields (application/json): - `success` (boolean) - `errors` (object, required)